Page MenuHomePhabricator

[SystemZ/ZOS] __(de)register_frame are not available on z/OS.
ClosedPublic

Authored by Kai on Jul 28 2020, 12:16 PM.

Details

Summary

The functions __register_frame/__deregister_frame are not available on z/OS, so add a guard to not use them.

Diff Detail

Event Timeline

Kai created this revision.Jul 28 2020, 12:16 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 28 2020, 12:16 PM
Kai requested review of this revision.Jul 28 2020, 12:16 PM
Kai added a comment.Aug 11 2020, 4:27 AM

Any comments on this change?

This revision is now accepted and ready to land.Aug 14 2020, 7:04 AM
lhames accepted this revision.Aug 14 2020, 9:45 AM

Sorry I missed this one earlier. Looks good to me too.

This revision was automatically updated to reflect the committed changes.